using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MasterLinkFutures.Helper;
namespace MasterLinkFutures.Data
{
    public class genUserKey:SingletonBase<genUserKey>
    {
        private string userKey;
        private int cnt = 0;
        public string getKey()
        {
            DateTime dt = DateTime.Now;
            string key = dt.ToString("HHmmssfff");
            if (userKey != key)
            {
                userKey = key;
                cnt = 0;
            }
            else
            {
                userKey = userKey + cnt;
                cnt = cnt + 1;
            }
            return userKey;
        }
    }
}
